package ink.wgink.module.wechat.officialaccount.pojo;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AccessToken
 * @Description:
 * @Author: wanggeng
 * @Date: 2021/4/28 5:29 上午
 * @Version: 1.0
 */
public class OfficialAccountAccessToken {

    private String accessToken;
    private long lastUpdated;

    public String getAccessToken() {
        return accessToken == null ? "" : accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public long getLastUpdated() {
        return lastUpdated;
    }

    public void setLastUpdated(long lastUpdated) {
        this.lastUpdated = lastUpdated;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"accessToken\":\"")
                .append(accessToken).append('\"');
        sb.append(",\"lastUpdated\":")
                .append(lastUpdated);
        sb.append('}');
        return sb.toString();
    }
}
